Bug 1108405 - find a way to remove replication plugin errors messages "changelog iteration code returned a dummy entry with csn %s, skipping ..."
Summary: find a way to remove replication plugin errors messages "changelog iteration ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1103337
Blocks: 1113520
TreeView+ depends on / blocked
 
Reported: 2014-06-12 00:44 UTC by Noriko Hosoi
Modified: 2018-12-06 16:48 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Message "changelog iteration code returned a dummy entry with csn %s, skipping ..." is coded as an error level, which should not be. Consequence: Once the server runs into the state, the benign error is logged in the error log repeatedly. Fix: Changed the log level to replication log level. Result: Unless the log level is set to the replication log level, the message is not logged in the error log.
Clone Of: 1103337
Environment:
Last Closed: 2015-03-05 09:34:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Comment 4 Amita Sharma 2014-12-12 06:43:53 UTC
followed https://bugzilla.redhat.com/show_bug.cgi?id=1103337#c4

[root@dhcp201-126 fourwaymmr]# tail -f /var/log/dirsrv/slapd-M1/errors
[12/Dec/2014:11:58:14 +051800] attrcrypt - No symmetric key found for cipher AES in backend repman, attempting to create one...
[12/Dec/2014:11:58:14 +051800] attrcrypt - Key for cipher AES successfully generated and stored
[12/Dec/2014:11:58:14 +051800] attrcrypt - No symmetric key found for cipher 3DES in backend repman, attempting to create one...
[12/Dec/2014:11:58:14 +051800] attrcrypt - Key for cipher 3DES successfully generated and stored
[12/Dec/2014:11:58:15 +051800] - slapd started.  Listening on All Interfaces port 30100 for LDAP requests
[12/Dec/2014:11:58:15 +051800] - Listening on All Interfaces port 30101 for LDAPS requests
[12/Dec/2014:11:59:01 +051800] NSMMReplicationPlugin - agmt="cn=M1_to_M2" (dhcp201-126:30103): The remote replica has a different database generation ID than the local database.  You may have to reinitialize the remote replica, or the local replica.
[12/Dec/2014:11:59:01 +051800] NSMMReplicationPlugin - agmt="cn=M1_to_M4" (dhcp201-126:30107): The remote replica has a different database generation ID than the local database.  You may have to reinitialize the remote replica, or the local replica.
[12/Dec/2014:12:00:32 +051800] NSMMReplicationPlugin - Beginning total update of replica "agmt="cn=M1_to_M2" (dhcp201-126:30103)".
[12/Dec/2014:12:00:36 +051800] NSMMReplicationPlugin - Finished total update of replica "agmt="cn=M1_to_M2" (dhcp201-126:30103)". Sent 160 entries.
^C
[root@dhcp201-126 fourwaymmr]# rpm -qa | grep 389
389-ds-base-1.3.3.1-9.el7.x86_64
389-ds-base-libs-1.3.3.1-9.el7.x86_64

Hence VERIFIED.

Comment 6 errata-xmlrpc 2015-03-05 09:34:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.